io.undertow.server.handlers.proxy

## Interface ProxyCallback<T>

    public interface ProxyCallback<T>

Yet another callback class, this one used by the proxy handler

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `completed(HttpServerExchange exchange, T result)`
`void` `couldNotResolveBackend(HttpServerExchange exchange)` Callback if no backend server could be found.
`void` `failed(HttpServerExchange exchange)` Callback if establishing the connection to a backend server fails.
`void` `queuedRequestFailed(HttpServerExchange exchange)` This is invoked when the target connection pool transitions to problem status.

### Method Detail

#### completed

    void completed(HttpServerExchange exchange,
                   T result)

#### failed

    void failed(HttpServerExchange exchange)

Callback if establishing the connection to a backend server fails.

Parameters:
  `exchange` - the http server exchange

#### couldNotResolveBackend

    void couldNotResolveBackend(HttpServerExchange exchange)

Callback if no backend server could be found.

Parameters:
  `exchange` - the http server exchange

#### queuedRequestFailed

    void queuedRequestFailed(HttpServerExchange exchange)

This is invoked when the target connection pool transitions to problem status. It will be called once for each queued request that has not yet been allocated a connection. The manager can redistribute these requests to other hosts, or can end the exchange with an error status.

Parameters:
  `exchange` - The exchange